#include <stdio.h>
#include <ctype.h>
#include <stdbool.h>

int main() {
	typedef enum {S0, S1, S2} State;

	State state = S0;
	int sign = 1;
	int ch;
	int number = 0;
	bool finished = false;

	while(!finished &&  (ch=getchar())!=EOF) {
		switch(state) {
			case S0:
				if(ch=='+' || ch=='-') {
					if(ch=='-') sign=-1;
					state=S1;
				}
				else if(isdigit(ch)) {
					number=ch-'0';
					state=S2;
				}
			break;
			case S1:
				if(isdigit(ch)) {
					number=ch-'0';
					state=S2;
				}
			break;
			case S2:
				if(isdigit(ch)){
					number=number*10 + ch -'0';
				}
				else {
					finished=true;
				}
			break;
		}
	}
	int value=sign*number;
	printf("Value=%d\n",value);

}
